#pragma once

#include <string>
#include <vector>

namespace dropshell {

class config {
    public:
        config();
        ~config();
        bool load_config();
        void save_config();

        bool is_config_set() const;

        const std::vector<std::string> & get_local_config_directories() const;
        bool add_local_config_directory(const std::string& path);

    private:
        std::vector<std::string> mLocalConfigPaths;
};


config *get_global_config();

} // namespace dropshell 