#pragma once

#include <string>
#include <vector>

namespace dropshell {

/**
 * Prints a formatted title surrounded by a box of dashes.
 * 
 * @param title The title string to display
 */
void maketitle(const std::string& title);

bool replace_line_in_file(const std::string& file_path, const std::string& search_string, const std::string& replacement_line);


// utility functions
std::string trim(std::string str);
std::string dequote(std::string str);
std::string quote(std::string str);
std::string multi2string(std::vector<std::string> values);
std::vector<std::string> string2multi(std::string values);

int str2int(const std::string & str);

} // namespace dropshell 